xcb_dri3_buffer_from_pixmap(3)

NAME
xcb_dri3_buffer_from_pixmap -

SYNOPSIS
#include <xcb/dri3.h>

  Request function

xcb_dri3_buffer_from_pixmap_cookie_t xcb_dri3_buffer_from_pixmap(xcb_connection_t *conn, xcb_pixmap_t pixmap);

  Reply datastructure

typedef struct xcb_dri3_buffer_from_pixmap_reply_t {
    uint8_t  response_type;
    uint8_t  nfd;
    uint16_t sequence;
    uint32_t length;
    uint32_t size;
    uint16_t width;
    uint16_t height;
    uint16_t stride;
    uint8_t  depth;
    uint8_t  bpp;
    uint8_t  pad0[12];
} xcb_dri3_buffer_from_pixmap_reply_t;

  Reply function

xcb_dri3_buffer_from_pixmap_reply_t *xcb_dri3_buffer_from_pixmap_reply(xcb_connection_t *conn, xcb_dri3_buffer_from_pixmap_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pixmap
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DRI3_BUFFER_FROM_PIXMAP. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

nfd TODO: NOT YET DOCUMENTED.

size
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

stride
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

bpp TODO: NOT YET DOCUMENTED.

pixmap_fd
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dri3_buffer_from_pixmap_cookie_t. Errors have to be handled when calling the reply function xcb_dri3_buffer_from_pixmap_reply. If you want to handle errors in the event loop instead, use xcb_dri3_buffer_from_pixmap_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri3.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.